Bug 74224 - krsh fails silently
krsh fails silently
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: krb5 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-18 04:28 EDT by Jens Petersen
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-15 02:37:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2002-09-18 04:28:52 EDT
Description of Problem:
krsh tends to fails silent, when it cannot connect to a host.

Version-Release number of selected component (if applicable):
krb5-workstation-1.2.5-6

How Reproducible:
every time

Steps to Reproduce:
1. krsh localhost (on a machine not configured for kerberos)

Actual Results:
No output.

Expected Results:
It should display the appropriate network error:
"Connection refused", "Network unreachable", etc.

Additional Information:
The current behaviour is pretty confusing and easily leads to confusion.
krlogin seems to suffer from the same problem.
Comment 1 Jens Petersen 2004-10-15 02:37:54 EDT
Been fixed for a good while apparently.

Note You need to log in before you can comment on or make changes to this bug.